<template>
	<component :is="currentCity" />
</template>

<script lang="tsx" setup name="statisticsCenterAnalysis">
import { defineAsyncComponent, computed } from 'vue';
import { useThemeConfig } from '@/stores/themeConfig';
import { storeToRefs } from 'pinia';

// 引入组件
const YiBin = defineAsyncComponent(() => import('@/views/statistics/center/YBAnalysis.vue')); // 宜宾中心报表
const ZiGong = defineAsyncComponent(() => import('@/views/statistics/center/ZGAnalysis.vue')); // 自贡中心报表
const LuZhou = defineAsyncComponent(() => import('@/views/statistics/center/ZGAnalysis.vue')); // 泸州中心报表

const storesThemeConfig = useThemeConfig();
const { themeConfig } = storeToRefs(storesThemeConfig);

const COMPONENT_LIST = {
	YiBin,
	ZiGong,
	LuZhou
};
// 当前地州市
const currentCity = computed(() => {
	return COMPONENT_LIST[themeConfig.value.appScope];
});
</script>
